# $Id: smeserver-openvpn-s2s.spec,v 1.3 2010/11/04 12:53:12 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: OpenVPN, a strong VPN solution built over SSL, for site to site tunnels
%define name smeserver-openvpn-s2s
Name: %{name}
%define version 0.1
%define release 13
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-openvpn-s2s-0.1-default_to_enabled.patch
Patch1: smeserver-openvpn-s2s-0.1-limit_network_delete_and_create.patch
Patch2: smeserver-openvpn-s2s-0.1-fix_validation_on_update.patch
Patch3: smeserver-openvpn-s2s-0.1-check_for_local_nets.patch
Patch4: smeserver-openvpn-s2s-0.1-update_templates_on_boostrap.patch
Patch5: smeserver-openvpn-s2s-0.1-default_to_enabled_on_create.patch
Patch6: smeserver-openvpn-s2s-0.1-allow_inbound_prop.patch
Patch7: smeserver-openvpn-s2s-0.1-fix_add_route.patch
Patch8: smeserver-openvpn-s2s-0.1-denylog_instead_of_drop.patch
Patch9: smeserver-openvpn-s2s-0.1-check_multiple_networks.patch
Patch10: smeserver-openvpn-s2s-0.1-add_net_is_local_lexicon.patch
Patch11: smeserver-openvpn-s2s-0.1-rename_logrotate_conf.patch
Patch12: smeserver-openvpn-s2s-0.1-support_per_conf_customization.patch
Patch13: smeserver-openvpn-s2s-0.1-tls_auth_1.patch
Patch14: smeserver-openvpn-s2s-0.1-tls_locale_1.patch
Patch15: smeserver-openvpn-s2s-0.1-tls_locale_2.patch
Patch16: smeserver-openvpn-s2s-0.1-tls_locale_3.patch
Patch17: smeserver-openvpn-s2s-0.1-set_network_non_removable.patch
Patch18: smeserver-openvpn-s2s-0.1-implement_crl_verification.patch
Patch19: smeserver-openvpn-s2s-0.1-fix_masq_templates.patch
Patch20: smeserver-openvpn-s2s-0.1-various_conf_optimization.patch
Patch21: smeserver-openvpn-s2s-0.1-set_wget_timeout.patch
Patch22: smeserver-openvpn-s2s-0.1-fix_crontab_template.patch
Patch23: smeserver-openvpn-s2s-0.1-fix_removable_typo.patch
Patch24: smeserver-openvpn-s2s-0.1-expand_and_restart_smb.patch
Patch25: smeserver-openvpn-s2s-0.1-remove_nice.patch
Patch26: smeserver-openvpn-s2s-0.1-locale-2010-11-04.patch
Patch27: smeserver-openvpn-s2s-0.1-locale-2010-11-08.patch

BuildArchitectures: noarch

BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

Requires: e-smith-base
Requires: openvpn >= 2.1

%description
This package contains all the needed scripts and templates
to run openvpn in client or server mode for site to site tunnels

%changelog
* Mon Nov 8 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-13.sme
- Apply locale 2010-11-08 patch

* Thu Nov 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-12.sme
- Apply locale 2010-11-04 patch 

* Tue Nov 02 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Remove the nice directive

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Expand smb.conf and restart samba services

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Fix typo in up script

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Various enhancement in templates
- Set wget timeout
- Fix crontab templates

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Implement CRL updates and verification
- Fix masq template

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Set VPN networks non removable

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- Rename logrotate configuration file
- Add missingok to logrotate conf
- Support per configuration customization
- Add TLS auth support

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Fix adding routes in up script
- Log drop trafic
- Fix multiple net validation

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- allow one-way VPN with AllowInbound prop

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Various fixes

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- initiale release (based on work from Florian Dejan)

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1

%build
perl createlinks

%{__mkdir_p} root/etc/openvpn/s2s/priv
%{__mkdir_p} root/etc/openvpn/s2s/pub
%{__mkdir_p} root/var/run/openvpn-s2s
%{__mkdir_p} root/var/log/openvpn-s2s

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /etc/openvpn/s2s/pub 'attr(0755,root,root)' \
  --dir /etc/openvpn/s2s/priv 'attr(0750,root,root)' \
  --dir /var/log/openvpn-s2s 'attr(0770,root,nobody)' \
  --file /etc/openvpn/s2s/bin/up 'attr(4750,root,openvpn)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun
if [ $1 -eq 0 ] ; then
 /sbin/e-smith/db configuration setprop openvpn-s2s status disabled
 /etc/rc.d/init.d/openvpn-s2s stop
fi

true

